/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.se.eip.async;

import java.util.List;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.jbidescriptor.generated.Consumes;
import org.ow2.petals.se.eip.patterns.DynamicRouter;

/**
 * @author Frederic Gardes - EBM WebSourcing
 */
public class DynamicRouterAsyncContext extends RoutingSlipAsyncContext {

    private List<String> conditionList = null;

    /**
     * @param originalExchange
     * @param timeToLive
     * @param consumesList
     * @param faultToException
     */
    public DynamicRouterAsyncContext(final Exchange originalExchange, final Long timeToLive,
            final boolean faultToException, final List<Consumes> consumesList,
            final List<String> conditionList) {
        super(originalExchange, timeToLive, DynamicRouter.DYNAMIC_ROUTER_NAME, 2, faultToException,
                consumesList);
        this.conditionList = conditionList;
    }

    /**
     * Get the conditionList
     * 
     * @return the conditionList
     */
    public List<String> getConditionList() {
        return this.conditionList;
    }

}
