/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.se.eip.patterns;

import java.util.List;

import javax.jbi.messaging.MessagingException;
import javax.xml.xpath.XPathExpressionException;

import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.api.message.Exchange;

/**
 * Helper to route.
 * @author Frederic Gardes - EBM WebSourcing
 */
public interface RouterEngine {

    /**
     * Get the index of the routed Consumes.
     * 
     * @param parameters
     * @param inMessage
     * @return
     * @throws XPathExpressionException
     */
    public int route(final List<String> parameters, final Exchange exchange)
            throws XPathExpressionException, PEtALSCDKException, MessagingException;
}
